org.hibernate.search.query.hibernate.impl

## Class ProjectionLoader

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.ProjectionLoader

- All Implemented Interfaces:
    Loader

      public class ProjectionLoader
      extends Object
      implements Loader

  Implementation of the `Loader` interface used for loading entities which are projected via `ProjectionConstants.THIS`.
  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectionLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(SessionImplementor session, ExtendedSearchIntegrator extendedIntegrator, ObjectInitializer objectInitializer, TimeoutManager timeoutManager)`
    `void` | `init(SessionImplementor session, ExtendedSearchIntegrator extendedIntegrator, ResultTransformer transformer, ObjectLoaderBuilder loaderBuilder, String[] aliases, TimeoutManager timeoutManager, boolean projectThis)`
    `boolean` | `isSizeSafe()`
    `Object` | `load(EntityInfo entityInfo)`
    `List` | `load(List<EntityInfo> entityInfos)`
    `Object` | `loadWithoutTiming(EntityInfo entityInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectionLoader

          public ProjectionLoader()

  - ### Method Detail

    - #### init

          public void init(SessionImplementor session,
                           ExtendedSearchIntegrator extendedIntegrator,
                           ObjectInitializer objectInitializer,
                           TimeoutManager timeoutManager)

      Specified by:
        `init` in interface `Loader`

    - #### init

          public void init(SessionImplementor session,
                           ExtendedSearchIntegrator extendedIntegrator,
                           ResultTransformer transformer,
                           ObjectLoaderBuilder loaderBuilder,
                           String[] aliases,
                           TimeoutManager timeoutManager,
                           boolean projectThis)

    - #### load

          public Object load(EntityInfo entityInfo)

      Specified by:
        `load` in interface `Loader`

    - #### loadWithoutTiming

          public Object loadWithoutTiming(EntityInfo entityInfo)

      Specified by:
        `loadWithoutTiming` in interface `Loader`

    - #### load

          public List load(List<EntityInfo> entityInfos)

      Specified by:
        `load` in interface `Loader`

    - #### isSizeSafe

          public boolean isSizeSafe()

      Specified by:
        `isSizeSafe` in interface `Loader`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved